diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py
index acca9fd3..87bd04fe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py
@@ -9,74 +9,75 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as chk_constraint_utils
 
 
-class CheckConstraintDeleteTestCase(BaseTestGenerator):
-    """This class will delete check constraint to existing table"""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        ('Delete check constraint to table',
-         dict(url='/browser/check_constraint/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestCheckConstraintDelete:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_check_constraint_delete(self, context_of_tests):
+        """
+        When the check contraint DELETE request is send to the backend
+        it returns 200 status
+        """
+        url = '/browser/check_constraint/obj/'
+
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        super(CheckConstraintDeleteTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to delete a check "
-                            "constraint.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to delete a check "
-                            "constraint.")
-        self.table_name = "table_checkconstraint_delete_%s" % \
-                          (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server,
-                                                  self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-        self.check_constraint_name = "test_checkconstraint_delete_%s" % \
-                                     (str(uuid.uuid4())[1:8])
-        self.check_constraint_id = \
+            raise Exception('Could not find the schema to delete a check '
+                            'constraint.')
+        table_name = 'table_checkconstraint_delete_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
+        check_constraint_name = 'test_checkconstraint_delete_%s' % \
+                                (str(uuid.uuid4())[1:8])
+        check_constraint_id = \
             chk_constraint_utils.create_check_constraint(
-                self.server, self.db_name, self.schema_name, self.table_name,
-                self.check_constraint_name)
+                server, db_name, schema_name, table_name,
+                check_constraint_name)
 
-    def runTest(self):
-        """This function will delete check constraint to table."""
         chk_constraint = chk_constraint_utils.verify_check_constraint(
-            self.server, self.db_name, self.check_constraint_name)
+            server, db_name, check_constraint_name)
         if not chk_constraint:
-            raise Exception("Could not find the check constraint to delete.")
-        response = self.tester.delete(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.table_id,
-                                                self.check_constraint_id),
+            raise Exception('Could not find the check constraint to delete.')
+
+        response = http_client.delete(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id,
+                                                table_id,
+                                                check_constraint_id),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Check constraint dropped.')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py
index 41247b5a..8739c4d8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py
@@ -9,71 +9,77 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as chk_constraint_utils
 
 
-class CheckConstraintGetTestCase(BaseTestGenerator):
-    """This class will fetch check constraint to existing table"""
-    skip_on_database = ['gpdb']
+@pytest.mark.skip_databases(['gpdb'])
+class TestCheckConstraintGet:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_check_constraint_get(self, context_of_tests):
+        """
+        When the check constraint GET request is send to the backend
+        it returns 200 status
+        """
+        url = '/browser/check_constraint/obj/'
 
-    scenarios = [
-        ('Fetch check constraint to table',
-         dict(url='/browser/check_constraint/obj/'))
-    ]
+        tester = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        super(CheckConstraintGetTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to fetch a check "
-                            "constraint.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to fetch a check "
-                            "constraint.")
-        self.table_name = "table_checkconstraint_get_%s" % \
-                          (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server,
-                                                  self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-        self.check_constraint_name = "test_checkconstraint_get_%s" % \
-                                     (str(uuid.uuid4())[1:8])
-        self.check_constraint_id = \
+            raise Exception('Could not find the schema to fetch a check '
+                            'constraint.')
+        table_name = 'table_checkconstraint_get_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
+        check_constraint_name = 'test_checkconstraint_get_%s' % \
+                                (str(uuid.uuid4())[1:8])
+        check_constraint_id = \
             chk_constraint_utils.create_check_constraint(
-                self.server, self.db_name, self.schema_name, self.table_name,
-                self.check_constraint_name)
+                server, db_name, schema_name, table_name,
+                check_constraint_name)
 
-    def runTest(self):
-        """This function will fetch check constraint to table."""
-        response = self.tester.get(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.table_id,
-                                                self.check_constraint_id),
+        response = tester.get(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id,
+                                                table_id,
+                                                check_constraint_id),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        (json_response | should.have.key('comment') >
+         should.be.equal.to('this is test comment'))
+        (json_response | should.have.key('name') >
+         should.be.equal.to(check_constraint_name))
+        (json_response | should.have.key('nspname') >
+         should.be.equal.to(schema_name))
+        json_response | should.have.key('oid')
+        (json_response | should.have.key('consrc') >
+         should.be.equal.to('id > 0'))
+        (json_response | should.have.key('relname') >
+         should.be.equal.to(table_name))
+        json_response | should.have.key('connoinherit') > should.be.false
+        json_response | should.have.key('convalidated') > should.be.true
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_put.py
index b2400602..58392af1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_put.py
@@ -10,76 +10,80 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression.python_test_utils import test_utils as utils
 from . import utils as chk_constraint_utils
 
 
-class CheckConstraintPutTestCase(BaseTestGenerator):
-    """This class will update check constraint to existing table"""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        ('Update check constraint to table',
-         dict(url='/browser/check_constraint/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestCheckConstraintPut:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_check_constraint_update(self, context_of_tests):
+        """
+        When the check constraint PUT request is send to the backend
+        it returns 200 status
+        """
+        url = '/browser/check_constraint/obj/'
+
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        super(CheckConstraintPutTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to update a check "
-                            "constraint.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to update a check "
-                            "constraint.")
-        self.table_name = "table_checkconstraint_put_%s" % \
-                          (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server,
-                                                  self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-        self.check_constraint_name = "test_checkconstraint_put_%s" % \
-                                     (str(uuid.uuid4())[1:8])
-        self.check_constraint_id = \
+            raise Exception('Could not find the schema to update a check '
+                            'constraint.')
+
+        table_name = 'table_checkconstraint_put_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
+        check_constraint_name = 'test_checkconstraint_put_%s' % \
+                                (str(uuid.uuid4())[1:8])
+        check_constraint_id = \
             chk_constraint_utils.create_check_constraint(
-                self.server, self.db_name, self.schema_name, self.table_name,
-                self.check_constraint_name)
+                server, db_name, schema_name, table_name,
+                check_constraint_name)
 
-    def runTest(self):
-        """This function will delete check constraint to table."""
         chk_constraint = chk_constraint_utils.verify_check_constraint(
-            self.server, self.db_name, self.check_constraint_name)
+            server, db_name, check_constraint_name)
         if not chk_constraint:
-            raise Exception("Could not find the check constraint to update.")
-        data = {"oid": self.check_constraint_id,
-                "comment": "This is test comment for check constraint."}
-        response = self.tester.put(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.table_id,
-                                                self.check_constraint_id),
+            raise Exception('Could not find the check constraint to update.')
+        data = {'oid': check_constraint_id,
+                'comment': 'This is test comment for check constraint.'}
+        response = http_client.put(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id,
+                                                table_id,
+                                                check_constraint_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'check_constraint',
+            'pgadmin.node.check_constraint',
+            False,
+            'icon-check_constraint_bad',
+            check_constraint_name
+        )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/__init__.py
index e635912e..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-# from pgadmin.utils.route import BaseTestGenerator
-#
-#
-# class ForeignKeyTestGenerator(BaseTestGenerator):
-#
-#     def runTest(self):
-#         return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py
index 79b14d75..f97cd99a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py
@@ -10,71 +10,78 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression.python_test_utils import test_utils as utils
 
 
-class ForeignKeyAddTestCase(BaseTestGenerator):
-    """This class will add foreign key to existing table"""
-    scenarios = [
-        ('Add foreign Key constraint to table',
-         dict(url='/browser/foreign_key/obj/'))
-    ]
+class TestForeignKeyAdd:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_constraint_add(self, context_of_tests):
+        """
+        When the foreign key add request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a foreign "
-                            "key constraint.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a foreign "
-                            "key constraint.")
-        self.local_table_name = "table_foreignkey_%s" % \
-                                (str(uuid.uuid4())[1:8])
-        self.local_table_id = tables_utils.create_table(self.server,
-                                                        self.db_name,
-                                                        self.schema_name,
-                                                        self.local_table_name)
-        self.foreign_table_name = "table_foreignkey_%s" % \
-                                  (str(uuid.uuid4())[1:8])
-        self.foreign_table_id = tables_utils.create_table(
-            self.server, self.db_name, self.schema_name,
-            self.foreign_table_name)
+            raise Exception('Could not find the schema to add a foreign '
+                            'key constraint.')
+        local_table_name = 'table_foreignkey_%s' % \
+                           (str(uuid.uuid4())[1:8])
+        local_table_id = tables_utils.create_table(server,
+                                                   db_name,
+                                                   schema_name,
+                                                   local_table_name)
+        foreign_table_name = 'table_foreignkey_%s' % \
+                             (str(uuid.uuid4())[1:8])
+        foreign_table_id = tables_utils.create_table(
+            server, db_name, schema_name,
+            foreign_table_name)
 
-    def runTest(self):
-        """This function will add foreign key table column."""
-        foreignkey_name = "test_foreignkey_add_%s" % \
+        foreignkey_name = 'test_foreignkey_add_%s' % \
                           (str(uuid.uuid4())[1:8])
-        data = {"name": foreignkey_name,
-                "columns": [{"local_column": "id",
-                             "references": self.foreign_table_id,
-                             "referenced": "id"}],
-                "confupdtype": "a", "confdeltype": "a", "autoindex": False}
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.schema_id) + '/' + str(self.local_table_id) + '/',
+        data = {'name': foreignkey_name,
+                'columns': [{'local_column': 'id',
+                             'references': foreign_table_id,
+                             'referenced': 'id'}],
+                'confupdtype': 'a', 'confdeltype': 'a', 'autoindex': False}
+
+        response = http_client.post(
+            self.__build_url(server_data, local_table_id),
             data=json.dumps(data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'foreign_key',
+            'pgadmin.node.foreign_key',
+            False,
+            'icon-foreign_key',
+            foreignkey_name
+        )
+
+    def __build_url(self, server_data, local_table_id):
+        url = '/browser/foreign_key/obj/'
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        return url + str(utils.SERVER_GROUP) + '/' + \
+            str(server_id) + '/' + str(db_id) + \
+            '/' + str(schema_id) + '/' + str(local_table_id) + '/'
